/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.client.scheduling;

import org.appspy.admin.client.AbstractTreePanel;
import org.appspy.admin.client.scheduling.actions.OpenListJobDeclarationPanelAction;
import org.appspy.admin.client.scheduling.actions.OpenListJobSchedulePanelAction;

import com.gwtext.client.core.EventObject;
import com.gwtext.client.data.Node;
import com.gwtext.client.widgets.tree.TreeNode;
import com.gwtext.client.widgets.tree.event.TreeNodeListenerAdapter;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ScheduleMenuTreePanel extends AbstractTreePanel {

	public ScheduleMenuTreePanel() {

		TreeNode root = new TreeNode("Scheduling");
		root.setExpanded(true);

		TreeNode jobDeclarationTreeNode = new TreeNode("Job Declarations");
		jobDeclarationTreeNode.setTooltip("Manage the job declarations");
		jobDeclarationTreeNode.setIconCls("reports-menu-icon");
		root.appendChild(jobDeclarationTreeNode);
		jobDeclarationTreeNode.addListener(new TreeNodeListenerAdapter() {

			@Override
			public void onClick(Node node, EventObject e) {
				
				new OpenListJobDeclarationPanelAction(getAdminModule()).execute();
			}});

		TreeNode jobScheduleTreeNode = new TreeNode("Job Schedules");
		jobScheduleTreeNode.setTooltip("Manage the job schedules");
		jobScheduleTreeNode.setIconCls("reports-menu-icon");
		root.appendChild(jobScheduleTreeNode);
		jobScheduleTreeNode.addListener(new TreeNodeListenerAdapter() {

			@Override
			public void onClick(Node node, EventObject e) {
				
				new OpenListJobSchedulePanelAction(getAdminModule()).execute();
			}});

		setTitle("Scheduling");
		setIconCls("email-icon");
		setWidth(200);
		setHeight(400);
		setEnableDD(true);
		setRootNode(root);
		setRootVisible(false);
	}
}
