/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.client.scheduling.actions;

import org.appspy.admin.client.AdminModule;
import org.appspy.admin.client.action.AbstractAction;
import org.appspy.admin.client.scheduling.ListJobDeclarationPanel;

import com.gwtext.client.widgets.Panel;
import com.gwtext.client.widgets.TabPanel;
import com.gwtext.client.widgets.layout.FitLayout;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class OpenListJobDeclarationPanelAction extends AbstractAction {

	/**
	 * @param adminModule
	 */
	public OpenListJobDeclarationPanelAction(AdminModule adminModule) {
		super(adminModule);
	}

	/* (non-Javadoc)
	 * @see org.appspy.admin.client.action.AbstractAction#execute()
	 */
	@Override
	public void execute() {
		TabPanel tabPanel = mAdminModule.getTabPanel();
		
		if (tabPanel.hasItem(ListJobDeclarationPanel.TAB_ID))
		{
			tabPanel.activate(ListJobDeclarationPanel.TAB_ID);
		}
		else
		{
			Panel p = new Panel();
			ListJobDeclarationPanel c = new ListJobDeclarationPanel(mAdminModule);
			
			p.setLayout(new FitLayout());
			p.setAutoScroll(true);
			p.setClosable(true);
			p.setTitle(c.getTitle());
			p.setId(ListJobDeclarationPanel.TAB_ID);
			p.setIconCls("reports-menu-icon");
			
			p.add(c);
			
			// Open in new tab
			try
			{
				tabPanel.add(p);
				tabPanel.activate(p.getId());
			}
			catch (Exception ex)
			{
				ex.printStackTrace();
			}
		}
	}

}
