/**
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 *
 * You may obtain a copy of the License at 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */
package org.appspy.admin.client.util;

import org.appspy.admin.client.paramchooser.ApplicationChooser;
import org.appspy.admin.client.paramchooser.DateChooser;
import org.appspy.admin.client.paramchooser.DateTimeChooser;
import org.appspy.admin.client.paramchooser.EnvironmentChooser;
import org.appspy.admin.client.paramchooser.HostChooser;
import org.appspy.admin.client.paramchooser.OrganizationChooser;
import org.appspy.admin.client.paramchooser.ParamChooser;
import org.appspy.admin.client.paramchooser.TextChooser;
import org.appspy.admin.client.paramchooser.VersionChooser;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ParamChooserFactory
{
	public ParamChooser getParamChooser(String paramChooserClass)
	{
		if (ApplicationChooser.class.getName().equals(paramChooserClass))
		{
			return new ApplicationChooser();
		}
		else if (VersionChooser.class.getName().equals(paramChooserClass))
		{
			return new VersionChooser();
		}
		else if (OrganizationChooser.class.getName().equals(paramChooserClass))
		{
			return new OrganizationChooser();
		}
		else if (EnvironmentChooser.class.getName().equals(paramChooserClass))
		{
			return new EnvironmentChooser();
		}
		else if (HostChooser.class.getName().equals(paramChooserClass))
		{
			return new HostChooser();
		}
		else if (TextChooser.class.getName().equals(paramChooserClass))
		{
			return new TextChooser();
		}
		else if (DateChooser.class.getName().equals(paramChooserClass))
		{
			return new DateChooser();
		}
		else if (DateTimeChooser.class.getName().equals(paramChooserClass))
		{
			return new DateTimeChooser();
		}
		
		return null;
	}
}
