/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.admin.server.servlet;

import java.io.IOException;
import java.io.OutputStream;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.appspy.admin.service.ReportService;
import org.appspy.server.bo.Report;
import org.springframework.context.ApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class DownloadReportServlet extends HttpServlet {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		response.setContentType("application/octet-stream");

		Long reportId = Long.valueOf(request.getParameter("reportId"));

		Report reportDescription = getReportService().findReportById(reportId);
		byte[] reportContent = reportDescription.getReportContent();

		response.setContentLength(reportContent.length);
		response.setHeader("Content-Disposition", "attachment; filename=\"" + reportDescription.getName() + "\"");
		OutputStream os = response.getOutputStream();
		org.apache.commons.io.IOUtils.write(reportContent, os);
		os.close();
	}

	protected ReportService getReportService() {
		ApplicationContext ctx = WebApplicationContextUtils.getWebApplicationContext(getServletContext());
		ReportService reportService = (ReportService) ctx.getBean("reportService");
		return reportService;
	}
}
